package main

import (
	"log"

	"dev.narayana.im/narayana/telegabber/config"
	"dev.narayana.im/narayana/telegabber/xmpp"
)

const CONFIG_PATH string = "config.yml"
const SCHEMA_PATH string = "./config_schema.json"

func main() {
	config, err := config.ReadConfig(CONFIG_PATH, SCHEMA_PATH)
	if err != nil {
		log.Fatal(err)
	}

	cm := xmpp.NewComponent(config.Xmpp)

	// reconnect automatically
	log.Fatal(cm.Run())
}
