package xmpp

import (
	"log"

	"dev.narayana.im/narayana/telegabber/config"

	"gosrc.io/xmpp"
)

func NewComponent(conf config.XmppConfig) *xmpp.StreamManager {
	options := xmpp.ComponentOptions{
		Address: conf.Host + ":" + conf.Port,
		Domain:  conf.Jid,
		Secret:  conf.Password,
		Name:    "telegabber",
	}

	router := xmpp.NewRouter()
	router.HandleFunc("message", HandleMessage)

	component, err := xmpp.NewComponent(options, router)
	if err != nil {
		log.Fatalf("%+v", err)
	}

	cm := xmpp.NewStreamManager(component, nil)

	return cm
}
